package com.ti.mobpo.data

import kotlinx.coroutines.flow.Flow

class OfflineFavouritesRepository(private val favouriteDao: FavouriteDao) : FavouritesRepository {
    override fun getAllFavoriteIds(): Flow<List<Int>> {
        return favouriteDao.getAllFavoriteIds()
    }
    override suspend fun insertItem(item: Favourite) {
        favouriteDao.insert(item)
    }

    override suspend fun deleteItem(item: Favourite) {
        favouriteDao.delete(item)
    }
}
